%define	version 0.61
%define name ktelnet
%define release 6mdk


Name: %{name}
Summary: Ktelnet
Summary(fr): Ktelnet
Version: %{version}
Release: %{release}
Source: ktelnet-0.61-2.tar.bz2
Source1: ktelnet_menuentry
Group: Networking/Remote access
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt >= 1.40 qt-egcs-10x mandrake-release >= 5.2 libstdc++ >= 2.8.0 
Distribution: Mandrake
Vendor: Mandrakesoft

%description
KTelnet is a secure telnet program for KDE.
Telnet enable to use another host ressources.

%description -l fr
KTelnet set un telnet scuris pour KDE. Telnet est un protocole permettant
d'utiliser  distance une machine tout en redirigeant son affichage sur la
machine locale.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=/usr
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
make KDEDIR=$KDEDIR

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/ktelnet

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi


%files
%defattr(-,root,root,755)
/usr/bin/ktelnet
/usr/lib/menu/ktelnet
%dir /usr/share/config
/usr/share/config/ktelnetrc
%dir /usr/share/apps
/usr/share/apps/ktelnet
%dir /usr/share/icons
/usr/share/icons/ktelnet.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/ktelnet.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/ktelnet.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/ktelnet


%changelog

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 0.61-6mdk

- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- enlarge english description

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.
